import React from 'react';
export interface Country {
    name: string;
    code: string;
    flag: string;
    countryCode: string;
    phoneNumberLength: number;
}
interface CountryCodePickerProps {
    onSelectCountry: (country: Country) => void;
    labelName: string;
    code: string;
    buttonClassName?: string;
    enableLabel?: boolean;
    required?: boolean;
    labelClassName?: string;
}
declare const CountryCodePicker: React.FC<CountryCodePickerProps>;
export default CountryCodePicker;
export declare function getPhoneNumberLengthByCode(code: String): number;
//# sourceMappingURL=country-code-picker.d.ts.map