import NextAuth, { DefaultSession } from "next-auth";

declare module "next-auth" {
    interface Session {
        user: {
            id: string;
            accessToken: string;
        } & DefaultSession["user"];
    }

    interface User {
        id: string;
        accessToken: string;
    }

    interface JWT {
        id: string;
        accessToken: string;
    }
}
