import React from "react";
import { CharSet, SocialLoginType } from "../utils/enum";
interface EmailPasswordProps {
    onSubmitSuccess: (formData: {
        email: string;
        password: string;
    }) => void;
    moveToForgotPassword: () => void;
    moveToSignup: () => void;
    buttonLoading: boolean;
    enableSignUp: boolean;
    socialLoginTypes?: SocialLoginType[];
    handleSocialLogin: (type: SocialLoginType) => void;
    passwordConfig?: {
        passwordLength?: number;
        passWordType?: CharSet;
    };
}
declare const EmailPassword: React.FC<EmailPasswordProps>;
export default EmailPassword;
//# sourceMappingURL=email_password.d.ts.map