import React from "react";
import { PasubotClient, Session, User } from "pasubot-js-v2";
import { AuthType, CharSet, SocialLoginType } from "../utils/enum";
interface SignInProps {
    pasubot: PasubotClient;
    userData: (data: {
        user?: User;
        session?: Session;
    }) => void;
    authType?: AuthType;
    moveToForgotPassword: () => void;
    moveToSignup: () => void;
    moveToSignIn: () => void;
    enableSignUp: boolean;
    socialLoginTypes?: SocialLoginType[];
    passwordConfig?: {
        passwordLength?: number;
        passWordType?: CharSet;
    };
}
declare const SignIn: React.FC<SignInProps>;
export default SignIn;
//# sourceMappingURL=sign_in.d.ts.map