import React from "react";
import { PasubotClient, Session, User } from "pasubot-js-v2";
import { AuthType, CharSet, SocialLoginType } from "../utils/enum";
interface SignUnProps {
    pasubot: PasubotClient;
    userData: (data: {
        user?: User;
        session?: Session;
    }) => void;
    authType?: AuthType;
    moveToSignIn: () => void;
    socialLoginTypes?: SocialLoginType[];
    passwordConfig?: {
        passwordLength?: number;
        passWordType?: CharSet;
    };
}
declare const SignUp: React.FC<SignUnProps>;
export default SignUp;
//# sourceMappingURL=sign_up.d.ts.map