import { z } from "zod";
export declare const userSchema: z.ZodObject<{
    id: z.ZodAny;
    name: z.ZodAny;
    aud: z.ZodAny;
    phone: z.ZodAny;
    role: z.ZodAny;
    email: z.ZodAny;
    password: z.ZodAny;
    provider: z.ZodAny;
    email_confirmed_at: z.ZodAny;
    confirmed_at: z.ZodAny;
    last_sign_in_at: z.ZodAny;
    app_metadata: z.ZodAny;
    user_metadata: z.ZodAny;
    identities: z.ZodAny;
    created_at: z.ZodAny;
    updated_at: z.ZodAny;
    is_anonymous: z.ZodAny;
    tenant_id: z.ZodAny;
    role_id: z.ZodAny;
    role_type: z.ZodAny;
    privilege_type: z.ZodAny;
    role_name: z.ZodAny;
    status: z.ZodAny;
    is_default: z.ZodAny;
    country_code: z.ZodAny;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    id: z.ZodAny;
    name: z.ZodAny;
    aud: z.ZodAny;
    phone: z.ZodAny;
    role: z.ZodAny;
    email: z.ZodAny;
    password: z.ZodAny;
    provider: z.ZodAny;
    email_confirmed_at: z.ZodAny;
    confirmed_at: z.ZodAny;
    last_sign_in_at: z.ZodAny;
    app_metadata: z.ZodAny;
    user_metadata: z.ZodAny;
    identities: z.ZodAny;
    created_at: z.ZodAny;
    updated_at: z.ZodAny;
    is_anonymous: z.ZodAny;
    tenant_id: z.ZodAny;
    role_id: z.ZodAny;
    role_type: z.ZodAny;
    privilege_type: z.ZodAny;
    role_name: z.ZodAny;
    status: z.ZodAny;
    is_default: z.ZodAny;
    country_code: z.ZodAny;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    id: z.ZodAny;
    name: z.ZodAny;
    aud: z.ZodAny;
    phone: z.ZodAny;
    role: z.ZodAny;
    email: z.ZodAny;
    password: z.ZodAny;
    provider: z.ZodAny;
    email_confirmed_at: z.ZodAny;
    confirmed_at: z.ZodAny;
    last_sign_in_at: z.ZodAny;
    app_metadata: z.ZodAny;
    user_metadata: z.ZodAny;
    identities: z.ZodAny;
    created_at: z.ZodAny;
    updated_at: z.ZodAny;
    is_anonymous: z.ZodAny;
    tenant_id: z.ZodAny;
    role_id: z.ZodAny;
    role_type: z.ZodAny;
    privilege_type: z.ZodAny;
    role_name: z.ZodAny;
    status: z.ZodAny;
    is_default: z.ZodAny;
    country_code: z.ZodAny;
}, z.ZodTypeAny, "passthrough">>;
export type User = z.infer<typeof userSchema>;
//# sourceMappingURL=schema.d.ts.map